AProfileLevelA (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class AProfileLevelA

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
          edu.harvard.hul.ois.jhove.module.pdf.AProfileLevelA

    public class AProfileLevelA

extends PdfProfile

PDF profile checker for PDF/A-1 documents, Level A. See ISO 19005-1:2005(E), "Document Imaging Applications Application Issues". This profile checker is completely dependent on AProfile. It simply queries an instance of AProfile for Level A compliance.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`_module, _parser, _profileText, _raf`

Constructor Summary
`AProfileLevelA(PdfModule module)` Constructor.

Method Summary
`boolean` | `satisfiesThisProfile()` Returns `true` if the document satisfies the profile at Level A.
`void` | `setAProfile(AProfile tpr)` Calling setAProfile links this AProfile to a TaggedProfile.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`getText, hasFilters, isAlreadyOK, satisfiesProfile, xObjectOK, xObjectsOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AProfileLevelA

    public AProfileLevelA(PdfModule module)

  Constructor. Creates an AProfileLevelA object for subsequent testing.

  Parameters:
    `module` - The module under which we are checking the profile.

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile()

  Returns `true` if the document satisfies the profile at Level A. This returns a meaningful result only if `satisfiesThisProfile()` has previously been called on the profile assigned by `setAProfile`.

  Specified by:
    `satisfiesThisProfile` in class `PdfProfile`

### setAProfile

    public void setAProfile(AProfile tpr)

  Calling setAProfile links this AProfile to a TaggedProfile. This class gets all its information from the linked AProfile, so calling this is mandatory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD